FLASHROM(1)

NAME
flashrom - a universal flash programming utility

SYNOPSIS
flashrom [-rwvEVfh] [-c chipname] [-s exclude_start] [-e exclude_end]
         [-m vendor:part] [-l file.layout] [-i image_name] [file]

DESCRIPTION
flashrom is a universal flash programming utility for flash chips (e.g. in DIP or PLCC packaging). It can be used to flash BIOS images, for example.

OPTIONS
If no file is specified, then all that happens is that flash info is dumped and the flash chip is set to writable.

-r, --read
    Read flash and save contents into file.

-w, --write
    Write file into flash (default when file is specified).

-v, --verify
    Verify flash against file.

-E, --erase
    Erase flash device.

-V, --verbose
    More verbose output.

-c, --chip <chipname>
    Probe only for specified flash chip.

-s, --estart <addr>
    Exclude start position. (obsolete)

-e, --eend <addr>
    Exclude end postion. (obsolete)

-m, --mainboard <vendor:part>
    Override mainboard settings.

-f, --force
    Force write without checking image.

-l, --layout <layout.file>
    Read ROM layout from file.

-i, --image <name>
    Only flash image name from flash layout.

-h, --help
    Show a help text and exit.

BUGS
Please report any bugs at http://tracker.linuxbios.org/trac/LinuxBIOS/.

LICENCE
flashrom is covered by the GNU General Public License (GPL), version 2 or later.

SEE ALSO
romcc(1), abuild(1).

COPYRIGHT
2000 Silicon Integrated System Corporation
2003 Niki W. Waibel
2004 Tyan Corp
2005-2006 coresystems GmbH

AUTHORS
Yinghai Lu <yinghai.lu@amd.com>
Stefan Reinauer <stepan@coresystems.de>
Niki W. Waibel <niki.waibel@gmx.net>
some others

This manual page was written by Uwe Hermann <uwe@hermann-uwe.de>. It is licensed under the terms of the GNU GPL (v2 or later).